Loading...
Searching...
No Matches
Opm::StandardWellConnections< FluidSystem, Indices > Class Template Reference

## Classes

struct | Properties
struct | PressurePropertyFunctions
struct | DensityPropertyFunctions

## Public Types

using | Scalar = typename FluidSystem::Scalar
using | IndexTraits = typename FluidSystem::IndexTraitsType
using | Eval = typename WellInterfaceIndices<FluidSystem, Indices>::Eval
using | EvalWell = typename StandardWellPrimaryVariables<FluidSystem, Indices>::EvalWell

## Public Member Functions

| StandardWellConnections (const WellInterfaceIndices< FluidSystem, Indices > &well)
Properties | computePropertiesForPressures (const WellState< Scalar, IndexTraits > &well_state, const PressurePropertyFunctions &propFunc) const
void | computeProperties (const bool stop_or_zero_rate_target, const WellState< Scalar, IndexTraits > &well_state, const DensityPropertyFunctions &prop_func, const Properties &props, DeferredLogger &deferred_logger)
| Compute connection properties (densities, pressure drop, ...).
Scalar | rho (const typename std::vector< Scalar >::size_type i) const
| Returns density for specific perforation/connection.
Scalar | pressure_diff (const unsigned perf) const
| Returns pressure drop for a given perforation.
Eval | connectionRateBrine (Scalar &rate, const Scalar vap_wat_rate, const std::vector< EvalWell > &cq_s, const std::variant< Scalar, EvalWell > &saltConcentration) const
Eval | connectionRateFoam (const std::vector< EvalWell > &cq_s, const std::variant< Scalar, EvalWell > &foamConcentration, const Phase transportPhase, DeferredLogger &deferred_logger) const
std::tuple< Eval, EvalWell > | connectionRatePolymer (Scalar &rate, const std::vector< EvalWell > &cq_s, const std::variant< Scalar, EvalWell > &polymerConcentration) const
Eval | connectionRateBioeffects (Scalar &rate, const Scalar vap_wat_rate, const std::vector< EvalWell > &cq_s, const std::variant< Scalar, EvalWell > &microbialConcentration) const
std::tuple< Eval, Eval, Eval > | connectionRatesMICP (Scalar &rate_m, Scalar &rate_o, Scalar &rate_u, const std::vector< EvalWell > &cq_s, const std::variant< Scalar, EvalWell > &microbialConcentration, const std::variant< Scalar, EvalWell > &oxygenConcentration, const std::variant< Scalar, EvalWell > &ureaConcentration) const
std::tuple< Eval, EvalWell > | connectionRatezFraction (Scalar &rate, const Scalar dis_gas_rate, const std::vector< EvalWell > &cq_s, const std::variant< Scalar, std::array< EvalWell, 2 > > &solventConcentration) const

## Member Function Documentation

## rho()

template<class FluidSystem, class Indices>

Scalar Opm::StandardWellConnections< FluidSystem, Indices >::rho | ( | const typename std::vector< Scalar >::size_type | i | ) | const

inline

Returns density for specific perforation/connection.

Parameters

  [in] | i | Connection index

Returns
  Mixture density at connection `i`.

The documentation for this class was generated from the following files:

- opm/simulators/wells/StandardWellConnections.hpp
- opm/simulators/wells/StandardWellConnections.cpp